Subject: Re: bug#50660: 28.0.50; Text artifacting when the cursor moves over text under mouse face that originally displayed a box

From: Po Lu <[email-masked]>
Date: Tue, 21 Sep 2021 15:34:48 +0800

Eli Zaretskii <[email-masked]> writes:

> When the cursor moves, w->phys_cursor.x is recomputed.  AFAIR, in this
> case we perform the usual redisplay (which updates w->phys_cursor),
> and then reapply mouse-face, so show_mouse_face should be called
> again.  But you can easily establish if I'm right by running Emacs in
> a debugger with a breakpoint in show_mouse_face.  Let me know if you
> find something unexpected or need help in interpreting the findings.

Interestingly enough, I don't see show_mouse_face being called when the
cursor moves within the highlighted area; I only see it called when the
highlight itself changes, such as when the mouse pointer moves into the
mouse face.

Let me know if you need any more information from me to debugging this;
I will probably be unable to debug this myself for the next day or two.

Thanks!